English

Problem: Previous versions of ArcGIS cannot read mosaic datasets edited or created in Pro 2.3

Description

When editing or creating a mosaic dataset in Pro 2.3, it cannot be used with previous versions of ArcGIS such as Pro 2.2, ArcMap 10.6.1, or Server 10.6.1.

Note: 
Mosaic datasets created in Pro 2.3 are compatible with ArcGIS 10.7, including ArcGIS Enterprise, Server, ArcMap and REST API 10.7.

Cause

In general, mosaic datasets are compatible with concurrent and subsequent versions of ArcGIS, but mosaic datasets created with newer versions of ArcGIS cannot be read and handled with older versions of ArcGIS. 

table of version compatibility

Significant changes were made to the internal structure of the mosaic dataset in Pro 2.3, so mosaic datasets created or modified in Pro 2.3 cannot be read on older versions.

Solution or Workaround

Mosaic datasets created or modified with ArcGIS Pro 2.3 or 10.7 cannot be read with previous versions. This issue was fixed in Pro 2.3.2.

  1. Install the ArcGIS Pro 2.3.2 patch. Log in to My Esri to download the patch.
Note:
ArcGIS Pro 2.3 must be installed before applying the patch
  1. Open Pro 2.3.2.
  2. In the Catalog pane, navigate to your mosaic dataset. Right-click, and select Properties from the drop-down menu.
  3. Click Defaults to display the Image Properties. Scroll down to Maximum Number of Rasters Per Mosaic, and change the value to any number. Press <Tab> to update the field.
  1. Change the Maximum Number of Rasters Per Mosaic property back to the original value and press <Tab> to update the field again. Click OK.

This resets the mosaic dataset object to the new Pro 2.3.2 version. You will now be able to read the mosaic dataset with ArcGIS Pro 2.1 and 10.5 or later.

Related Information

Download: ArcGIS Pro 2.3.2 patch